// src/types/amap-wx.d.ts
declare module '@/libs/amap-wx.js' {
  export class AMapWX {
    constructor(options: { key: string })

    getRegeo(options: {
      location: string
      success?: (json: any) => void
      fail?: (err: any) => void
    }): void

    getWeather(options: { success?: (data: any) => void; fail?: (error: any) => void }): void

    getPoiAround(options: {
      querykeywords?: any
      location?: any
      success?: (data: any) => void
      fail?: (error: any) => void
    }): void
  }
}
